aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Mokry <michael.mokry@att.com>2019-06-19 10:21:18 -0500
committerMichael Mokry <michael.mokry@att.com>2019-06-20 13:14:11 -0500
commit110b8010a9363bd1f09c1ed67b2136ab68bdef6a (patch)
treedbd6c4adf4bcf11ef800ea27b02f3c21490b3ab5
parent422fc737b0825d13bfd6a2acdd60226f61aab2c7 (diff)
Create simple way to populate guard table
Created a script that takes in the guard type as argument and executes the sql in a .sql file to insert data Made changes based on review comments: 1) Moved it all to the testsuite package 2) Modified the script to remove the guard type argument and replaced it with a parameter for the filename 3) added exit 1 where applicable 4) renamed sql file to be more general and avoid a specific use case. Change-Id: I89a2fa81153449b6716d9d215aa2af56748212b4 Issue-ID: POLICY-1786 Signed-off-by: Michael Mokry <michael.mokry@att.com>
-rw-r--r--testsuites/guard-testing-utils/mysql/scripts/populate_operationshistory.sh34
-rw-r--r--testsuites/guard-testing-utils/mysql/sql/testguard.sql19
2 files changed, 53 insertions, 0 deletions
diff --git a/testsuites/guard-testing-utils/mysql/scripts/populate_operationshistory.sh b/testsuites/guard-testing-utils/mysql/scripts/populate_operationshistory.sh
new file mode 100644
index 00000000..c1c95ee1
--- /dev/null
+++ b/testsuites/guard-testing-utils/mysql/scripts/populate_operationshistory.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# ============LICENSE_START=======================================================
+# Copyright (C) 2019 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+if [ $# -eq 1 ]; then
+ FILENAME="${1}"
+ SQL_FILE="../sql/${FILENAME}"
+
+ mysql -upolicy_user -ppolicy_user < "${SQL_FILE}"
+
+else
+ echo "Usage : populate_operationshistory.sh <Name of SQL file>"
+ echo "Example: populate_operationshistory.sh testsomesql.sql"
+ exit 1
+fi
+
+
+
diff --git a/testsuites/guard-testing-utils/mysql/sql/testguard.sql b/testsuites/guard-testing-utils/mysql/sql/testguard.sql
new file mode 100644
index 00000000..15ec5767
--- /dev/null
+++ b/testsuites/guard-testing-utils/mysql/sql/testguard.sql
@@ -0,0 +1,19 @@
+use operationshistory;
+
+create table if not exists operationshistory (
+ id int(11) not null auto_increment,
+ closedLoopName varchar(255) not null,
+ requestId varchar(50),
+ actor varchar(50) not null,
+ operation varchar(50) not null,
+ target varchar(50) not null,
+ starttime timestamp not null,
+ outcome varchar(50) not null,
+ message varchar(255),
+ subrequestId varchar(50),
+ endtime timestamp not null default current_timestamp,
+ PRIMARY KEY (id)
+);
+
+insert into operationshistory (`closedLoopName`,`requestId`,`actor`,`operation`,`target`,`starttime`,`outcome`,`message`,`subrequestId`,`endtime`)
+VALUES('ControlLoop-vDNS-6f37f56d-a87d-4b85-b6a9-cc953cf779b3','test001122','SO','VF Module Create','.*',NOW() - INTERVAL 1 HOUR,'SUCCESS',null,null,Now());